Bug 991163 - abcde-2.5.4-2 incompatible with python-eyed3-0.7.3, --set-encoding no longer a valid argument
abcde-2.5.4-2 incompatible with python-eyed3-0.7.3, --set-encoding no longer ...
Product: Fedora
Classification: Fedora
Component: abcde (Show other bugs)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-08-01 14:42 EDT by CJ Kucera
Modified: 2013-08-05 20:15 EDT (History)
2 users (show)

See Also:
Fixed In Version: abcde-2.5.4-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-05 20:15:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
abcde-eyed3-tag-fix.patch (1.53 KB, patch)
2013-08-01 14:42 EDT, CJ Kucera
no flags Details | Diff

  None (edit)
Description CJ Kucera 2013-08-01 14:42:03 EDT
Created attachment 781708 [details]

abcde can use python-eyed3 to do tagging of files, but 2.5.4-2 uses the flag "--set-encoding" to set the tag encoding value, whereas python-eyed3 >= 0.7.0 only accepts the flag "--encoding."  This causes tagging to fail, which will leave the temporary files in abcde's temp dir, and not moved into their final location.

This has been fixed in abcde's SVN repo but has not yet made it into an official abcde release:


The patch from that commit doesn't actually apply cleanly to abcde 2.5.4 because there have been too many intermediate changes, but I'll attach an equivalent patch which does apply cleanly, and lets abcde work again on my F19 box.
Comment 1 Ville Skyttä 2013-08-01 17:04:14 EDT
Thanks, looks like --comment needed fixing as well.
Comment 2 Fedora Update System 2013-08-01 17:21:20 EDT
abcde-2.5.4-3.fc19 has been submitted as an update for Fedora 19.
Comment 3 Fedora Update System 2013-08-02 17:50:12 EDT
Package abcde-2.5.4-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abcde-2.5.4-3.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-08-05 20:15:35 EDT
abcde-2.5.4-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.